package ch.hslu.appe.usermanagement.model;

/**
 * Address.
 */
public final class Address {
    private int id;
    private Place place;
    private String street;
    private AddressType type;
    private User user;

    /**
     * Return the ID.
     * @return id
     */
    public int getId() {
        return id;
    }

    /**
     * Return the Place.
     * @return place
     */
    public Place getPlace() {
        return place;
    }

    /**
     * Return the Street.
     * @return street
     */
    public String getStreet() {
        return street;
    }

    /**
     * Return the Address Type.
     * @return address type
     */
    public AddressType getType() {
        return type;
    }

    /**
     * Return User Object.
     * @return user
     */
    public User getUser() {
        return user;
    }

    /**
     * Set the ID.
     * @param id to be set
     */
    public void setId(final int id) {
        this.id = id;
    }

    /**
     * Set the Place.
     * @param place to be set
     */
    public void setPlace(final Place place) {
        this.place = place;
    }

    /**
     * Set the Street.
     * @param street to be set
     */
    public void setStreet(final String street) {
        this.street = street;
    }

    /**
     * Set the Type.
     * @param type to be set
     */
    public void setType(final AddressType type) {
        this.type = type;
    }

    /**
     * Set the User.
     * @param user to be set
     */
    public void setUser(final User user) {
        this.user = user;
    }

    @Override
    public String toString() {

        if (place == null) {
            return street;
        }

        return street + "(" + place + ")";
    }
}
